import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { BytesFilterObjectSchema as BytesFilterObjectSchema } from './BytesFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { PdfGroupScalarRelationFilterObjectSchema as PdfGroupScalarRelationFilterObjectSchema } from './PdfGroupScalarRelationFilter.schema';
import { PdfGroupWhereInputObjectSchema as PdfGroupWhereInputObjectSchema } from './PdfGroupWhereInput.schema'

const pdffilewhereinputSchema = z.object({
  AND: z.union([z.lazy(() => PdfFileWhereInputObjectSchema), z.lazy(() => PdfFileWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => PdfFileWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => PdfFileWhereInputObjectSchema), z.lazy(() => PdfFileWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  filename: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  pdfData: z.union([z.lazy(() => BytesFilterObjectSchema), z.instanceof(Uint8Array)]).optional(),
  uploadedAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  groupId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  group: z.union([z.lazy(() => PdfGroupScalarRelationFilterObjectSchema), z.lazy(() => PdfGroupWhereInputObjectSchema)]).optional()
}).strict();
export const PdfFileWhereInputObjectSchema: z.ZodType<Prisma.PdfFileWhereInput> = pdffilewhereinputSchema as unknown as z.ZodType<Prisma.PdfFileWhereInput>;
export const PdfFileWhereInputObjectZodSchema = pdffilewhereinputSchema;
